Ubuntu

armel build failure (no thumb support)

Reported by Matthias Klose on 2010-09-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libgc (Ubuntu)
High
Unassigned
Maverick
High
Unassigned
moon (Ubuntu)
Undecided
directhex
Maverick
Undecided
directhex

Bug Description

http://launchpadlibrarian.net/52418283/buildlog_ubuntu-maverick-armel.moon_2.3-0ubuntu1_FAILEDTOBUILD.txt.gz

 gcc -DPACKAGE_NAME=\"libgc-mono\" -DPACKAGE_TARNAME=\"libgc-mono\" -DPACKAGE_VERSION=\"6.6\" "-DPACKAGE_STRING=\"libgc-mono 6.6\"" -DPACKAGE_BUGREPORT=\"<email address hidden>\" -DGC_LINUX_THREADS=1 -D_REENTRANT=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSILENT=1 -DNO_SIGNALS=1 -DNO_EXECUTE_PERMISSION=1 -DJAVA_FINALIZATION=1 -DGC_GCJ_SUPPORT=1 -DATOMIC_UNCOLLECTABLE=1 -D_IN_LIBGC=1 -I./.. -I./.. -I./include -DGC_LINUX_THREADS -D_GNU_SOURCE -D_REENTRANT -DUSE_MMAP -DUSE_MUNMAP -D_FILE_OFFSET_BITS=64 -DUSE_COMPILER_TLS -DARM_FPU_NONE=1 -DNO_UNALIGNED_ACCESS -g -O2 -g -MT alloc.lo -MD -MP -MF .deps/alloc.Tpo -c alloc.c -fPIC -DPIC -o .libs/alloc.o
/tmp/ccIg1Tbv.s: Assembler messages:
/tmp/ccIg1Tbv.s:1224: Error: selected processor does not support Thumb mode `swp r3,r2,[r1]'
/tmp/ccIg1Tbv.s:2726: Error: selected processor does not support Thumb mode `swp r7,r0,[r3]'
/tmp/ccIg1Tbv.s:3511: Error: selected processor does not support Thumb mode `swp r3,r2,[r1]'
make[4]: *** [alloc.lo] Error 1
make[4]: Leaving directory `/build/buildd/moon-2.3/mono-2-6/libgc'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/build/buildd/moon-2.3/mono-2-6/libgc'
make[2]: *** [all-recursive] Error 1

Matthias Klose (doko) wrote :

first patch is wrong, and detected the same wrong patch in libgc. sync primitives are backported to gcc-4.4.

Changed in libgc (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-10.10
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgc - 1:6.8-1.2ubuntu2

---------------
libgc (1:6.8-1.2ubuntu2) maverick; urgency=low

  * Fix the check for GC_test_and_set and GC_clear on armel. The sync
    primitives are backported to the gcc-4.4 package. Fixes the
    build failure on armel in thumb mode. LP: #635406.
 -- Matthias Klose <email address hidden> Sun, 19 Sep 2010 18:23:16 +0200

Changed in libgc (Ubuntu Maverick):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package moon - 2.3-0ubuntu3

---------------
moon (2.3-0ubuntu3) maverick; urgency=low

  * Fix the check for GC_test_and_set and GC_clear on armel. The sync
    primitives are backported to the gcc-4.4 package. Fixes the
    build failure on armel in thumb mode. LP: #635406.
  * Apply arm related patches from the mono package.
  * Configure with --build= --host=.
 -- Matthias Klose <email address hidden> Sun, 19 Sep 2010 18:30:15 +0200

Changed in moon (Ubuntu Maverick):
status: New → Fix Released
Matthias Klose (doko) wrote :

moon still fails to build on armel, now the mono build is fixed, and expose some missing bits in third party components, here xulrunner ... Alexander, could you have a look?

checking for MONO... yes
checking for MONO_EXTENDED... yes
checking for FF3... yes
checking for XULRUNNER... yes
checking for XTST... no
checking for XULRUNNER... yes
configure: error: Target cpu arm is unknown.
    Please add the appropriate string to configure.ac.
    See http://developer.mozilla.org/en/docs/XPCOM_ABI
make: *** [moonlight-configure-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Changed in moon (Ubuntu Maverick):
status: Fix Released → Confirmed
tags: added: ftbfs
directhex (directhex) on 2010-10-05
Changed in moon (Ubuntu Maverick):
assignee: nobody → directhex (directhex)
directhex (directhex) wrote :

http://imgur.com/H3xPR

Currently in the queue, waiting for approval.

Changed in moon (Ubuntu Maverick):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package moon - 2.3-0ubuntu4

---------------
moon (2.3-0ubuntu4) maverick; urgency=low

  * ARM development made possible by Genesi USA
  * add_arm_to_firefox-xpi.m4.patch:
    + For reasons best known to themselves, Mozilla don't define a
      plugin ABI for several platforms, including ARM. This patch
      tweaks the build system not to fail on ARM, by setting the
      bogus Linux_unknownABI ABI on ARM, rather than bailing out.
      (LP: #635406)
  * realign_nocodec_API_with_codec_API.patch:
    + Import upstream git commit 66993b158727585e889d, which fixes
      the build on architectures without official binary codecs
      available (such as ARM and PowerPC).
 -- Jo Shields <email address hidden> Mon, 04 Oct 2010 20:58:14 +0100

Changed in moon (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers